<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [errorLevels][1]
-   [AppError][2]
    -   [Parameters][3]
    -   [\_\_proto\_\_][4]
-   [handleError][5]
    -   [Parameters][6]
-   [isTrustedError][7]
    -   [Parameters][8]
-   [index][9]

## errorLevels

An object that holds error levels.

Type: {COMMON: [string][10], FATAL: [string][10], CRITICAL: [string][10]}

## AppError

Creates a new AppError

### Parameters

-   `sender`  
-   `program`  
-   `message`  
-   `severity`  
-   `isOperational`  

### \_\_proto\_\_

Attach error prototypical inheritance

## handleError

Handles application errors and calls the ffLogger (sends log to console if not
in production and also to papertrail). Collects params and stack trace.

### Parameters

-   `sender`  Machine sending the error
-   `program`  App sending the error
-   `message`  error description
-   `severity`  which errorLevel (defined in error handler)
-   `isOperational`  is it an operational error or programmer error

Returns **[Promise][11]&lt;any>** 

## isTrustedError

Takes in a custom error object and return a boolean. If the error
is an operation error it returns true, and returns false if it is a
Programmer error.

### Parameters

-   `error`  

Returns **any** 

## index

errorHandler module export.

Type: {AppError: [AppError][12], isTrustedError: (function (any): any), handleError: (function ([string][10], [string][10], [string][10], [boolean][13]): [Promise][11]&lt;([error][14] | never)>)}

[1]: #errorlevels

[2]: #apperror

[3]: #parameters

[4]: #__proto__

[5]: #handleerror

[6]: #parameters-1

[7]: #istrustederror

[8]: #parameters-2

[9]: #index

[10]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String

[11]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Promise

[12]: #apperror

[13]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean

[14]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Error
